//
//  main.cpp
//  CPPTestCLI
//
//  Created by Max on 1/17/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#include <iostream>
#include "CPPClass.h"

int main (int argc, const char * argv[])
{

    // C++ -> C "Unit Tests" so to speak.
    int* TestInt = new int(10);
    std::cout << *TestInt << std::endl;
    
    //Static
    CPPClass::StatPlusPlus(TestInt);
    std::cout << *TestInt << std::endl;
    
    //Class
    CPPClass::CPPClass* myCPPClass = new CPPClass();
    myCPPClass->PlusPlus(TestInt);
    std::cout << *TestInt << std::endl;
    
    //Global
    GlobalPlusPlus(TestInt);
    std::cout << *TestInt << std::endl;
    
    //Cleanup
    delete myCPPClass;
    delete TestInt;
    
    std::cout << "Hello, World!\n";
    
    return 0;
}

